Status: Resolved Priority: Should have
TYPO3 Version: 6.1
PHP Version:
Complexity:
Subject: Separate DB TYPO3_CONF_VARS settings host and port
Description

The [db][host] setting can contain a hostname, followed by a colon and
a port. This was ok with mysql, as it accepted host and port in one
parameter.
With the switch to mysqli, host and port must be given as single
parameters, forcing the core to split host and port. This can fail
especially if the host is an ipv6 address.

Related issues:
related to Core - Bug # 48117: Mysql Socket connection fails. Resolved 2013-05-12

Associated revisions
Revision ce5b4d1d - 2013-04-29 20:59 - Anja Leichsenring

[TASK] Introduce $GLOBALS['TYPO3_CONF_VARS']['DB']['port']

The [db][host] setting can contain a hostname, followed by a colon and
a port. This was ok with mysql, as it accepted host and port in one
parameter.
With the switch to mysqli, host and port must be given as single
parameters, forcing the core to split host and port. This can fail
especially if the host is an ipv6 address.
In order to separate this in a better way, the new "port" parameter
in TYPO3_CONF_VARS DB is introduced. If set, the host will not be
splitted by colon anymore, but host and port setting will be used
as given.

Resolves: #47455
Releases: 6.2, 6.1
Change-Id: I3096d166e574d9b6045ac92ed3dc8b2c48ef94d2
Reviewed-on: https://review.typo3.org/20093
Reviewed-by: Daniel Hürtgen
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e5545942 - 2013-04-29 21:09 - Anja Leichsenring
[TASK] Introduce $GLOBALS['TYPO3_CONF_VARS']['DB']['port']

The [db][host] setting can contain a hostname, followed by a colon and
a port. This was ok with mysql, as it accepted host and port in one
parameter.
With the switch to mysqli, host and port must be given as single
parameters, forcing the core to split host and port. This can fail
especially if the host is an ipv6 address.
In order to separate this in a better way, the new "port" parameter
in TYPO3_CONF_VARS DB is introduced. If set, the host will not be
splitted by colon anymore, but host and port setting will be used
as given.

Resolves: #47455
Releases: 6.2, 6.1
Change-Id: I3096d166e574d9b6045ac92ed3dc8b2c48ef94d2
Reviewed-on: https://review.typo3.org/20321
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-04-22 22:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20093

#2 - 2013-04-22 22:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20093

#3 - 2013-04-22 22:51 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20093

#4 - 2013-04-22 22:53 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20093

#5 - 2013-04-29 18:23 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20093
#6 - 2013-04-29 21:09 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/20321

#7 - 2013-04-29 21:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e55459429728d4b4eac1b9b8b552362cba12b4b7.
